import DEFAULT from '@/layouts/default';

export const LoginPage = {
  path: '/login',
  name: 'Login',
  component: () => import('@/views/login')
};

export const HomePage = {
  path: '/',
  component: DEFAULT,
  redirect: '/home',
  children: [
    {
      path: 'home',
      name: 'Home',
      meta: { title: '练习管理', icon: 'practice' },
      component: () => import('@/views/home/public_question')
    },
    {
      path: 'personal_question',
      name: 'Personal',
      meta: { title: '练习管理', icon: 'practice' },
      component: () => import('@/views/home/personal_question')
    }
  ]
};

export const NotFoundPage = {
  path: '*',
  name: '404',
  component: () => import('@/views/not_found/404.vue')
};
